Subject: [bug#57118] [PATCH] gnu: Add linode-cli.

From: Csepp <[email-masked]>
Date: Thu, 01 Sep 2022 22:06:32 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Csepp <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>
> [...]
>
>>>> +(define linode-openapi-spec
>>>> +  (origin
>>>> +    (method url-fetch)
>>>> +    (uri "https://www.linode.com/docs/api/openapi.yaml")
>>>> +    (sha256
>>>> +     (base32
>>>> +      "1jcjfnagjihcy03fcmn5sghdf7a80798xjgj1x7z3ncqwd5aggwg"))))
>
> [...]
>
>> I skimmed the OpenAPI spec and couldn't find any mention of how to
>> access previous versions.
>
> OK.
>
>> IMHO if there is a build failure, guix refresh -u should take care of
>> updating the hash.  It's better than trying to use an outdated API
>> description without notifying the user.
>
> I should say I don’t know what this file is used for.  :-)
>
> What I do know is that we should avoid having origins like that above
> that are bound to fail.  Perhaps we can find another option?  If the CLI
> tools really need the latest version of ‘openapi.yaml’, could they
> download it (and possibly cache it) at run time?  Perhaps there are
> already provisions for that?
>
> If the tools don’t strictly need the latest version, then hopefully
> Linode keeps a copy of this file in a Git repo somewhere?
>
> TIA,
> Ludo’.

Oh wow, the git repo suggestion was head on.  I didn't think they would
have something like that, but alas, they do:
https://github.com/linode/linode-api-docs/blob/development/openapi.yaml

It doesn't really have a license though, I'm not sure if that's a problem.
Would we get in trouble for redistributing it?